Package org.apache.lucene.analysis.icu.tokenattributes

## Class ScriptAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.icu.tokenattributes.ScriptAttributeImpl

- All Implemented Interfaces:
    `Cloneable`, `ScriptAttribute`, `Attribute`

      public class ScriptAttributeImpl
      extends AttributeImpl
      implements ScriptAttribute

  Implementation of `ScriptAttribute` that stores the script as an integer.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptAttributeImpl()` | Initializes this attribute with `UScript.COMMON`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `void` | `copyTo​(AttributeImpl target)` |
    `boolean` | `equals​(Object other)` |
    `int` | `getCode()` | Get the numeric code for this script value.
    `String` | `getName()` | Get the full name.
    `String` | `getShortName()` | Get the abbreviated name.
    `int` | `hashCode()` |
    `void` | `reflectWith​(AttributeReflector reflector)` |
    `void` | `setCode​(int code)` | Set the numeric code for this script value.

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, end, reflectAsString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptAttributeImpl

          public ScriptAttributeImpl()

      Initializes this attribute with `UScript.COMMON`

  - ### Method Detail

    - #### getCode

          public int getCode()

      Description copied from interface: `ScriptAttribute`
      Get the numeric code for this script value. This is the constant value from `UScript`.
      Specified by:
        `getCode` in interface `ScriptAttribute`
      Returns:
        numeric code

    - #### setCode

          public void setCode​(int code)

      Description copied from interface: `ScriptAttribute`
      Set the numeric code for this script value. This is the constant value from `UScript`.
      Specified by:
        `setCode` in interface `ScriptAttribute`
      Parameters:
        `code` - numeric code

    - #### getName

          public String getName()

      Description copied from interface: `ScriptAttribute`
      Get the full name.
      Specified by:
        `getName` in interface `ScriptAttribute`
      Returns:
        UTR #24 full name.

    - #### getShortName

          public String getShortName()

      Description copied from interface: `ScriptAttribute`
      Get the abbreviated name.
      Specified by:
        `getShortName` in interface `ScriptAttribute`
      Returns:
        UTR #24 abbreviated name.

    - #### clear

          public void clear()

      Specified by:
        `clear` in class `AttributeImpl`

    - #### copyTo

          public void copyTo​(AttributeImpl target)

      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### reflectWith

          public void reflectWith​(AttributeReflector reflector)

      Specified by:
        `reflectWith` in class `AttributeImpl`